--DROP LOOKUP TABLES
DROP TABLE EXTENDED_LOOKUP.AU_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.AU_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.AU_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.AU_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.AU_PERSON;
DROP TABLE EXTENDED_LOOKUP.AU_FIRSTNAME_F;


DROP TABLE EXTENDED_LOOKUP.CA_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.CA_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.CA_PERSON;
DROP TABLE EXTENDED_LOOKUP.CA_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.CA_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.CA_LASTNAME;


DROP TABLE EXTENDED_LOOKUP.DE_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.DE_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.DE_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.DE_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.DE_PERSON;
DROP TABLE EXTENDED_LOOKUP.DE_FIRSTNAME_M;


DROP TABLE EXTENDED_LOOKUP.ES_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.ES_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.ES_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.ES_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.ES_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.ES_PERSON;


DROP TABLE EXTENDED_LOOKUP.FR_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.FR_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.FR_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.FR_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.FR_PERSON;
DROP TABLE EXTENDED_LOOKUP.FR_ADDRESSES;


DROP TABLE EXTENDED_LOOKUP.IT_PERSON;
DROP TABLE EXTENDED_LOOKUP.IT_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.IT_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.IT_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_M;


DROP TABLE EXTENDED_LOOKUP.UK_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.UK_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.UK_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.UK_PERSON;


DROP TABLE EXTENDED_LOOKUP.US_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.US_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.US_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.US_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.US_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.US_PERSON;


DROP TABLE EXTENDED_LOOKUP.JP_ADDRESSES;
DROP TABLE EXTENDED_LOOKUP.JP_FIRSTNAME;
DROP TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_M;
DROP TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_F;
DROP TABLE EXTENDED_LOOKUP.JP_LASTNAME;
DROP TABLE EXTENDED_LOOKUP.JP_PERSON;
DROP TABLE EXTENDED_LOOKUP.JP_DOMAIN_NAMES;


DROP TABLE EXTENDED_LOOKUP.NATIONALITY;
DROP TABLE EXTENDED_LOOKUP.DISC_CCN;
DROP TABLE EXTENDED_LOOKUP.MC_CCN;
DROP TABLE EXTENDED_LOOKUP.JCB_CCN;
DROP TABLE EXTENDED_LOOKUP.VISA_CCN;
DROP TABLE EXTENDED_LOOKUP.COMPANY;
DROP TABLE EXTENDED_LOOKUP.DC_CCN;
DROP TABLE EXTENDED_LOOKUP.AMEX_CCN;
DROP TABLE EXTENDED_LOOKUP.DOMAIN_NAMES;

COMMIT;

----------------------------------------------------------------------------------------
--AUSTRALIAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.AU_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50) NOT NULL,
                ADDRESS2 NVARCHAR2(50),
                LOCALITY NVARCHAR2(28),
                CITY NVARCHAR2(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UAU_ADDRESSES UNIQUE (ADDRESS1,CITY,POSTCODE),
                CONSTRAINT PK_AU_ADDRESSES PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.AU_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UAU_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_AU_FIRSTNAME_F PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.AU_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UAU_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_AU_FIRSTNAME_M PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.AU_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UAU_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_AU_FIRSTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.AU_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UAU_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_AU_LASTNAME PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.AU_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                NATIONALID NVARCHAR2(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR2(14) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UAU_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_AU_PERSON PRIMARY KEY (SEQ)
        );

-------------------------------------------------------------------------

--CANADIAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.CA_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50) NOT NULL,
                ADDRESS2 NVARCHAR2(50),
                LOCALITY NVARCHAR2(28),
                CITY     NVARCHAR2(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UCA_ADDRESSES UNIQUE (ADDRESS1, CITY, POSTCODE),
                CONSTRAINT PK_CA_ADDRESSES PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.CA_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UCA_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_CA_FIRSTNAME PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.CA_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UCA_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_CA_FIRSTNAME_F PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.CA_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UCA_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_CA_FIRSTNAME_M PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.CA_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UCA_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_CA_LASTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.CA_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                NATIONALID NVARCHAR2(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR2(13) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UCA_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_CA_PERSON PRIMARY KEY (SEQ)
        );


------------------------------------------------------------------------------

--GERMAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.DE_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50) NOT NULL,
                ADDRESS2 NVARCHAR2(50),
                LOCALITY NVARCHAR2(28),
                CITY    NVARCHAR2(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UDE_ADDRESSES UNIQUE (ADDRESS1,CITY,POSTCODE),
                CONSTRAINT PK_DE_ADDRESSES PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.DE_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UDE_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_DE_FIRSTNAME PRIMARY KEY (SEQ)            
        );



CREATE TABLE EXTENDED_LOOKUP.DE_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UDE_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_DE_FIRSTNAME_F PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.DE_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UDE_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_DE_FIRSTNAME_M PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.DE_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UDE_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_DE_LASTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.DE_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                NATIONALID NVARCHAR2(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR2(14) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UDE_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_DE_PERSON PRIMARY KEY (SEQ)
        );


---------------------------------------------------------------------------------------

--SPANISH LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.ES_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50) NOT NULL,
                ADDRESS2 NVARCHAR2(50),
                LOCALITY NVARCHAR2(28),
                CITY     NVARCHAR2(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UES_ADDRESSES UNIQUE (ADDRESS1,CITY,POSTCODE),
                CONSTRAINT PK_ES_ADDRESSES PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.ES_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UES_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_ES_FIRSTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.ES_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UES_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_ES_FIRSTNAME_F PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.ES_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UES_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_ES_FIRSTNAME_M PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.ES_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UES_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_ES_LASTNAME PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.ES_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                NATIONALID NVARCHAR2(11),
                SEX NCHAR(1)  NOT NULL,
                PHONE NVARCHAR2(14),
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UES_PERSON  UNIQUE (FIRSTNAME,LASTNAME,SEX,BIRTHDATE),
                CONSTRAINT PK_ES_PERSON PRIMARY KEY (SEQ)
        );


-------------------------------------------------------------------------------

--FRENCH LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.FR_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50)NOT NULL,
                ADDRESS2 NVARCHAR2(50),
                LOCALITY NVARCHAR2(28),
                POSTTOWN NVARCHAR2(40)NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UFR_ADDRESSES UNIQUE (ADDRESS1,POSTTOWN,POSTCODE),
                CONSTRAINT PK_FR_ADDRESSES PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.FR_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UFR_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_FR_FIRSTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.FR_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UFR_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_FR_FIRSTNAME_F PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.FR_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UFR_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_FR_FIRSTNAME_M PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.FR_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UFR_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_FR_LASTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.FR_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                NATIONALID NVARCHAR2(11) ,
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR2(14) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UFR_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_FR_PERSON PRIMARY KEY (SEQ)
        );


-----------------------------------------------------------------------------------

--ITALIAN LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.IT_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50) NOT NULL,
                ADDRESS2 NVARCHAR2(50),
                LOCALITY NVARCHAR2(28),
                POSTTOWN NVARCHAR2(40)NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UIT_ADDRESSES UNIQUE (ADDRESS1,POSTTOWN,POSTCODE),
                CONSTRAINT PK_IT_ADDRESSES PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.IT_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UIT_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_IT_FIRSTNAME PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UIT_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_IT_FIRSTNAME_F PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.IT_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UIT_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_IT_FIRSTNAME_M PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.IT_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UIT_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_IT_LASTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.IT_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                NATIONALID NVARCHAR2(16),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR2(12) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UIT_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_IT_PERSON PRIMARY KEY (SEQ)
        );



-------------------------------------------------------------------------------------

--UK LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.UK_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50) NOT NULL,                
                ADDRESS2 NVARCHAR2(50),
                LOCALITY NVARCHAR2(28),
                POSTTOWN NVARCHAR2(40) NOT NULL,
                POSTCODE NCHAR(8) NOT NULL,
                CONSTRAINT UUK_ADDRESSES UNIQUE (ADDRESS1,POSTTOWN,POSTCODE),
                CONSTRAINT PK_UK_ADDRESSES PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.UK_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUK_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_UK_FIRSTNAME PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUK_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_UK_FIRSTNAME_F PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.UK_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUK_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_UK_FIRSTNAME_M PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.UK_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUK_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_UK_LASTNAME PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.UK_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                NATIONALID NVARCHAR2(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR2(13) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UUK_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_UK_PERSON PRIMARY KEY (SEQ)
        );


-----------------------------------------------------------------------------------------

--USA LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.US_ADDRESSES (
                SEQ NUMBER,
                ADDRESS1 NVARCHAR2(50) NOT NULL,
                ADDRESS2 NVARCHAR2(50),
                CITY NVARCHAR2(40) NOT NULL,
                STATE NCHAR(2) NOT NULL,
                ZIPCODE NCHAR(5) NOT NULL,
                ZIPPLUS4 NCHAR(4) NOT NULL,
                CONSTRAINT UUS_ADDRESSES UNIQUE (ADDRESS1,CITY,STATE,ZIPCODE,ZIPPLUS4),
                CONSTRAINT PK_US_ADDRESSES PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.US_FIRSTNAME (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUS_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_US_FIRSTNAME PRIMARY KEY (SEQ)
        );




CREATE TABLE EXTENDED_LOOKUP.US_FIRSTNAME_F (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUS_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_US_FIRSTNAME_F PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.US_FIRSTNAME_M (
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUS_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_US_FIRSTNAME_M PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.US_LASTNAME (
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UUS_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_US_LASTNAME PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.US_PERSON (
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                SSN NVARCHAR2(11),
                SEX NCHAR(1) NOT NULL,
                PHONE NVARCHAR2(12) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UUS_PERSON  UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_US_PERSON PRIMARY KEY (SEQ)
        );


--------------------------------------------------------------------------------------

--JAPANESE LOOKUP TABLES

CREATE TABLE EXTENDED_LOOKUP.JP_ADDRESSES(
                SEQ NUMBER,
                ZIPCODE NCHAR(7) NOT NULL,
                PREFECTURE NVARCHAR2(12),
                CITY  NVARCHAR2(40) NOT NULL,
                ADDRESS1  NVARCHAR2(50) NOT NULL,
                ADDRESS2  NVARCHAR2(50),
                CONSTRAINT UJP_ADDRESSES UNIQUE (ADDRESS1,CITY,ZIPCODE),
                CONSTRAINT PK_JP_ADDRESSES PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.JP_FIRSTNAME(
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UJP_FIRSTNAME UNIQUE (FIRSTNAME),
                CONSTRAINT PK_JP_FIRSTNAME PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_M(
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UJP_FIRSTNAMEM UNIQUE (FIRSTNAME),
                CONSTRAINT PK_JP_FIRSTNAME_M PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.JP_FIRSTNAME_F(
                SEQ NUMBER,
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UJP_FIRSTNAMEF UNIQUE (FIRSTNAME),
                CONSTRAINT PK_JP_FIRSTNAME_F PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.JP_LASTNAME(
                SEQ NUMBER,
                LASTNAME NVARCHAR2(30) NOT NULL,
                CONSTRAINT UJP_LASTNAME UNIQUE (LASTNAME),
                CONSTRAINT PK_JP_LASTNAME PRIMARY KEY (SEQ)
        );


create table EXTENDED_LOOKUP.JP_PERSON(
                SEQ NUMBER,
                ID NCHAR(6),
                FIRSTNAME NVARCHAR2(30) NOT NULL,
                LASTNAME NVARCHAR2(30) NOT NULL,
                COMPANY NVARCHAR2(40),
                RESIDENTID NCHAR(11),
                SEX NCHAR(3) NOT NULL,
                PHONE NCHAR(12) NOT NULL,
                BIRTHDATE DATE NOT NULL,
                EMAIL_ADDRESS NVARCHAR2(50),
                CONSTRAINT UJP_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
                CONSTRAINT PK_JP_PERSON PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.JP_DOMAIN_NAMES (
                SEQ NUMBER,
                DOMAIN_NAME NVARCHAR2(50) NOT NULL,
                CONSTRAINT DOMAIN_NAMES UNIQUE (DOMAIN_NAME),
                CONSTRAINT PK_JP_DOMAIN_NAMES PRIMARY KEY (SEQ)
        );

--------------------------------------------------------------------------------------

CREATE TABLE EXTENDED_LOOKUP.AMEX_CCN (
                SEQ NUMBER,
                DATAVALUE NCHAR(15) NOT NULL,
                CONSTRAINT U_AMEX UNIQUE (DATAVALUE),
                CONSTRAINT PK_AMEX_CCN PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.COMPANY (
                SEQ NUMBER,
                NAME NVARCHAR2(50) NOT NULL,
                CONSTRAINT U_COMPANY UNIQUE (NAME),
                CONSTRAINT PK_COMPANY PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.DC_CCN (
                SEQ NUMBER,
                DATAVALUE NCHAR(14) NOT NULL,
                CONSTRAINT U_DC UNIQUE (DATAVALUE),
                CONSTRAINT PK_DC_CCN PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.DISC_CCN (
                SEQ NUMBER,
                DATAVALUE NCHAR(16) NOT NULL,
                CONSTRAINT U_DISC UNIQUE (DATAVALUE),
                CONSTRAINT PK_DISC_CCN PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.JCB_CCN (
                SEQ NUMBER,
                DATAVALUE NVARCHAR2(16) NOT NULL,
                CONSTRAINT U_JCB UNIQUE (DATAVALUE),
                CONSTRAINT PK_JCB_CCN PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.MC_CCN (
                SEQ NUMBER,
                DATAVALUE NCHAR(16) NOT NULL,
                CONSTRAINT U_MC UNIQUE (DATAVALUE),
                CONSTRAINT PK_MC_CCN PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.NATIONALITY (
                SEQ NUMBER,
                ID NVARCHAR2(20) NOT NULL,
                CONSTRAINT U_NATIONALITY UNIQUE (ID),
                CONSTRAINT PK_NATIONALITY PRIMARY KEY (SEQ)
        );



CREATE TABLE EXTENDED_LOOKUP.VISA_CCN (
                SEQ NUMBER,
                DATAVALUE NVARCHAR2(16),
                CONSTRAINT U_VISA UNIQUE (DATAVALUE),
                CONSTRAINT PK_VISA_CCN PRIMARY KEY (SEQ)
        );


CREATE TABLE EXTENDED_LOOKUP.DOMAIN_NAMES (
                SEQ NUMBER,
                DOMAIN_NAME NVARCHAR2(50) NOT NULL,
                CONSTRAINT U_DOMAIN_NAMES UNIQUE (DOMAIN_NAME),
                CONSTRAINT PK_DOMAIN_NAMES PRIMARY KEY (SEQ)
        );
